com.rscja.team.qcom.deviceapi

## Class HardwareInterface_qcom

- java.lang.Object
- - com.rscja.team.qcom.deviceapi.HardwareInterface_qcom

-     public class HardwareInterface_qcom
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HardwareInterface_qcom.FunctionEnum`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `closeSerail(int uart_fd)` 关闭串口
    `boolean` | `free(HardwareInterface_qcom.FunctionEnum module)` 释放模块,模块断电同时关闭串口 Release module
    `static HardwareInterface_qcom` | `getInstance()` 获取操作实例 Acquire operation Instance
    `boolean` | `init(HardwareInterface_qcom.FunctionEnum module, int baudrate)`
    `boolean` | `init(HardwareInterface_qcom.FunctionEnum module, int baudrate, int databits, int stopbits, int check)` 初始化模块 ,模块上电同时打开串口 Initialize the module
    `int` | `openSerail(java.lang.String path, int baudrate)`
    `int` | `openSerail(java.lang.String path, int baudrate, int databits, int stopbits, int check)` 打开串口
    `byte[]` | `receive(HardwareInterface_qcom.FunctionEnum module)` 接收数据,读取串口数据 Receive data
    `byte[]` | `receive(int uart_fd)` 接收数据,读取串口数据 Receive data
    `boolean` | `send(HardwareInterface_qcom.FunctionEnum module, byte[] data)` 发送数据 Send data
    `boolean` | `send(int uart_fd, byte[] data)`
    `byte[]` | `sendAndReceive(HardwareInterface_qcom.FunctionEnum module, byte[] sendData)` 收发数据
    `byte[]` | `sendAndReceive(int uart_fd, byte[] sendData)` 收发数据

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static HardwareInterface_qcom getInstance()

      获取操作实例
      Acquire operation Instance
      Returns:

    - #### init

          public boolean init(HardwareInterface_qcom.FunctionEnum module,
                              int baudrate,
                              int databits,
                              int stopbits,
                              int check)

      初始化模块 ,模块上电同时打开串口
      Initialize the module
      Parameters:
        `module` - 模块编号 模块编号 1、1D（9600） 2、RFID（115200） 3、UHF（115200） 4、Finger（57600） 10、A8扩展串口
        `baudrate` - 自定义波特率
        `check` - 是否校验
        `databits` - 数据位 取值为 7 或者8
        `stopbits` - 停止位 取值为 1 或者2
        `check` - 效验类型 取值为 0无, 1奇, 2偶
      Returns:
        成功true，失败false
        If sucess, return true, if failure, return false.

    - #### init

          public boolean init(HardwareInterface_qcom.FunctionEnum module,
                              int baudrate)

    - #### free

          public boolean free(HardwareInterface_qcom.FunctionEnum module)

      释放模块,模块断电同时关闭串口
      Release module
      Returns:
        成功true，失败false

    - #### send

          public boolean send(HardwareInterface_qcom.FunctionEnum module,
                              byte[] data)

      发送数据
      Send data
      Parameters:
        `data` - 数据
        data
      Returns:
        true成功，false失败

    - #### send

          public boolean send(int uart_fd,
                              byte[] data)

    - #### receive

          public byte[] receive(HardwareInterface_qcom.FunctionEnum module)

      接收数据,读取串口数据
      Receive data
      Returns:
        数据
        data

    - #### receive

          public byte[] receive(int uart_fd)

      接收数据,读取串口数据
      Receive data
      Returns:
        数据
        data

    - #### sendAndReceive

          public byte[] sendAndReceive(int uart_fd,
                                       byte[] sendData)

      收发数据
      Parameters:
        `sendData` - 发送的数据
      Returns:
        返回接收到的数据长度 (返回-1表示发送失败)

    - #### sendAndReceive

          public byte[] sendAndReceive(HardwareInterface_qcom.FunctionEnum module,
                                       byte[] sendData)

      收发数据
      Parameters:
        `sendData` - 发送的数据
      Returns:
        返回接收到的数据长度 (返回-1表示发送失败)

    - #### openSerail

          public int openSerail(java.lang.String path,
                                int baudrate,
                                int databits,
                                int stopbits,
                                int check)

      打开串口
      Parameters:
        `baudrate` - 波特率
        `databits` - 数据位 取值为 7 或者8
        `stopbits` - 停止位 取值为 1 或者2
        `check` - 效验类型 取值为 0无, 1奇, 2偶
      Returns:
        uart_fd

    - #### openSerail

          public int openSerail(java.lang.String path,
                                int baudrate)

    - #### closeSerail

          public boolean closeSerail(int uart_fd)

      关闭串口
      Returns: